<!DOCTYPE html>
<html lang="en">

<head>
    <%- include('partials/head.ejs'); -%>
</head>
<body>
    <div class=" bg-3 text-center">
        <div class="login-page">
            <div class="form">
                <img class = 'login-logo' src="logo/logo-update.png" alt="logo">
                <form class="login-form">
                    <input type="text" id = "username"  placeholder="username" />
                    <input type="password" id = "password" placeholder="password" />
                    <button class = 'login-btn'>login</button>
                    <div class="alert alert-danger errorAdminLogin" style="display:none"> </div>
                </form>
            </div>
        </div>
    </div>
    <%- include('partials/footer.ejs'); -%>
    <script>
        $('.login-btn').click(function(e){
            e.preventDefault()
            var username = $('#username').val()
            var password = $('#password').val()

            if(username == ""){
              $('.errorAdminLogin').show()
              $('.errorAdminLogin').html("username is required")
              setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000)
              return false
            }
            if(password == ""){
              $('.errorAdminLogin').show()
              $('.errorAdminLogin').html("Password is required")
              setTimeout(function(){ $('.errorCreateClinic').hide() }, 3000)
              return false
            }

            $(this).ajaxSubmit({
                url: "/adminLogin",
                type: "POST",
                data: {email: username, password: password},
                error: function(xhr){
                    $('.errorAdminLogin').show()
                    $('.errorAdminLogin').html(xhr.responseJSON.message)
                    setTimeout(function () {$('errorAdminLogin').hide()}, 3000)
                },
                success: function (response) {
                    localStorage.setItem('token', response.token)
                    window.location.href = '/clinics'
                }
            })
        });
    </script>
</body>
</html>